package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * @Author: sunxiang
 * @Date: 2018/7/8 18:55
 * @Description:
 **/
public class DicNotificationState {

    public static final String waiting="未发送";
    public static final String sended="已发送";
    private static DicNotificationState instance=null;
    private static LinkedHashMap<String,String> dicMap=null;
    private DicNotificationState(){
        dicMap=new LinkedHashMap<>();
        dicMap.put(waiting,waiting);
        dicMap.put(sended,sended);
    }
    public static DicNotificationState getInstance(){
        if(instance==null){
            instance=new DicNotificationState();
        }
        return instance;
    }
    public  LinkedHashMap<String,String> getDicMap(){
        return (LinkedHashMap<String,String>)dicMap.clone();
    }

}
